services:
  lidarr:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: lscr.io/linuxserver/lidarr:3.1.0
    container_name: lidarr
    ports:
      - 2010:8686
    networks:
      - ip4net
    dns:
      - 8.8.8.8
      - 1.1.1.1
    volumes:
      - ${MEDIA_PATH}/lidarr/config:/config
      - ${MEDIA_PATH}/data:/data
      - ${EXTERNAL_STORAGE}/media/music:/music
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.lidarr.rule=Host(`lidarr.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.lidarr.entrypoints=https"
      - "traefik.http.routers.lidarr.tls=true"
